package javax.print;

import javax.print.attribute.PrintRequestAttributeSet;
import javax.print.event.PrintJobAttributeListener;
import javax.print.event.PrintJobListener;
import javax.print.attribute.PrintJobAttributeSet;

public interface DocPrintJob
{
    public abstract PrintService getPrintService();
    
    public abstract PrintJobAttributeSet getAttributes();
    
    public abstract void addPrintJobListener(PrintJobListener p0);
    
    public abstract void removePrintJobListener(PrintJobListener p0);
    
    public abstract void addPrintJobAttributeListener(PrintJobAttributeListener p0, PrintJobAttributeSet p1);
    
    public abstract void removePrintJobAttributeListener(PrintJobAttributeListener p0);
    
    public abstract void print(Doc p0, PrintRequestAttributeSet p1) throws PrintException;
}
